using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using xlsgen;

namespace simple
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();




			// --- CUT HERE ---

			xlsgen.CoXlsEngineClass excel = new xlsgen.CoXlsEngineClass();

			IXlsWorkbook wbk = excel.New( @"databar.xls" );
			IXlsWorksheet wksht = wbk.AddWorksheet( "samplesheet" );

            IXlsStyle style = wksht.NewStyle();
            style.Format = "#,###.00";
            style.Apply();

            wksht.get_Columns("C1:C1").Width = 15;

            double[] myfigures = new double[] { 
                                                    4073.00,
                                                    5018.00,
                                                    4707.00,
                                                    7422.00,
                                                    9456.00,
                                                    3498.00
                                                };

            // compute max off the list
            double m = myfigures[0];
            foreach(double d in myfigures)
                if (m < d) m = d;

            // create the data bars
            for (int i = 0; i < myfigures.Length; i++)
            {
                wksht.set_Float(5 + i, 2, myfigures[i]);
                wksht.Picture(@"databar1.jpg", 
                              5 + i, 3, /* top-left corner cell*/
                              5 + i, 3, /* bottom-right corner cell*/
                              10, /*top*/
                              100, /*left*/
                              30, /*bottom*/
                              (int)(1000 * (1 - myfigures[i] / m)) /*right*/);
            }

			wksht.set_Label(3,2, "Sample data bars (Excel 97/2000/XP/2003/2006)");
			wbk.Close();

			System.Diagnostics.Process.Start( @"databar.xls" );

			excel = null;

 			
			// --- CUT HERE ---
	

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.Size = new System.Drawing.Size(300,300);
			this.Text = "Form1";
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
